# CiN Artikelkampagnen

> Mit CiN Artikelkampagnen können sie ausgewählte Artikel in shopfremden Seiten
anzeigen

Die Auswahl der Artikel erfolgt über ein Funktionsattribut vom Typ Freitext mit
dem Namen "articlecampaign". Artikel, die dieses Attribut tragen, können in
Kampagnen auftreten. Über den Inhalt des Attributwertes wird gesteuert, in
welcher Kampagne ein Artikel auftritt.

Im Backend des Plugins werden die Kampagnen verwaltet. Hier können Kampagnen mit
den entsprechenden Artikeln anhand des Attributwertes veknüpft werden.

Sind alle Einstellungen vorgenommen, kann ein Script-Snippet per Knopfdruck in
die Zwischenablage kopiert werden. Platzieren sie dieses Snippet an genau der
Stelle im HTML-Markup der Seite, in der die Kampagne angezeigt werden soll.

Im folgenden zeigen wir ihnen ein Beispiel für die Gestaltung der Kampagne als
CSS-Datei. Hier sind alle Selektoren bereits vorhanden, die genutzt werden
können, um die Kampagne dem Layout der Zielseite anzupassen.

```css
.ac.ac-container {
  background-color: #fff;
  margin: auto;
}

.ac.ac-campaignname {
  font-family: sans-serif;
  font-size: 20px;
  font-weight: bold;
  margin-bottom: 15px;
}

.ac.ac-articles {
  background: #cecece;
  background: linear-gradient(0deg, #cecece 0%, #fff 100%);
}

.ac.ac-article {
  background-color: #fff;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}

.ac.ac-articlename {
  font-family: sans-serif;
  font-weight: bold;
  text-decoration: none;
}

.ac.ac-articleimage {
  border-bottom: 1px solid #cecece;
}

.ac.ac-articleprice {
  font-size: 20px;
  font-weight: bold;
  padding-bottom: 10px;
  text-align: center;
}

.ac.ac-shopbutton {
  border: 2px solid #333;
  border-radius: 5px;
  display: inline-block;
  padding: 5px;
  text-align: center;
  width: calc(100% - 14px);
}

.ac.ac-shopbutton:hover {
  box-shadow: 2px 2px 2px #888;
}

.ac.ac-footnote {
  font-size: 12px;
  text-align: right;
  margin: 0 10px;
}
```
